For the complete documentation index, see llms.txt. This page is also available as Markdown.

K8s Pod Diagnostics

APIs to view Kubernetes pod status, events and log references captured during deployments

Get a paginated, one-row-per-pod flattened view of pod diagnostics across a pipeline execution

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline identifier

planExecutionIdstringRequired

Plan execution Id

stageExecutionIdstringOptional

Optional stage execution Id filter

stepIdentifierstringOptional

Optional step identifier filter

phasestringOptional

Optional pod phase filter

containerStatestringOptional

Optional container state filter

namespacestringOptional

Optional namespace filter

podNamestringOptional

Optional pod name filter

latestAttemptOnlybooleanOptional

Return one row per step identifier (latest nodeExecutionId) when true

Default: true
pageinteger · int32Optional

Page Index of the results to fetch.Default Value: 0

Default: 0
sizeinteger · int32Optional

Results per page

Default: 50
Responses
default

Returns the flattened Overall pod diagnostics page

application/json
statusstring · enumOptionalPossible values:
metaDataobjectOptional
correlationIdstringOptional
get/cd/deployment/pod-diagnostics/overall
GET /gateway/ng/api/cd/deployment/pod-diagnostics/overall?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&planExecutionId=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
default

Returns the flattened Overall pod diagnostics page

{
  "status": "SUCCESS",
  "data": {
    "items": [
      {
        "planExecutionId": "text",
        "stageExecutionId": "text",
        "stageIdentifier": "text",
        "stageName": "text",
        "nodeExecutionId": "text",
        "stepIdentifier": "text",
        "stepName": "text",
        "stepType": "text",
        "attempt": 1,
        "podUid": "text",
        "podName": "text",
        "namespace": "text",
        "nodeName": "text",
        "podIP": "text",
        "workload": "text",
        "image": "text",
        "phase": "text",
        "phaseSince": 1,
        "since": 1,
        "deletionTimestamp": 1,
        "ready": true,
        "conditions": [
          {
            "type": "text",
            "status": "text",
            "reason": "text",
            "message": "text",
            "lastTransitionTime": 1
          }
        ],
        "readyContainers": 1,
        "totalContainers": 1,
        "restartCount": 1,
        "diagnosticReason": "text",
        "collectionState": "DISCOVERING",
        "capturedAt": 1,
        "truncated": {
          "pods": true,
          "events": true,
          "logs": true
        },
        "logBaseKey": "text",
        "containers": [
          {
            "name": "text",
            "image": "text",
            "init": true,
            "state": "text",
            "reason": "text",
            "message": "text",
            "since": 1,
            "ready": true,
            "started": true,
            "restartCount": 1,
            "exitCode": 1,
            "currentInstanceId": "text",
            "previousInstanceId": "text",
            "logInstances": [
              {
                "instanceId": "text",
                "restartCount": 1,
                "startedAt": 1,
                "finishedAt": 1,
                "logKey": "text",
                "logState": "STREAMING"
              }
            ]
          }
        ]
      }
    ],
    "facets": {
      "stages": [
        {
          "stageExecutionId": "text",
          "stageIdentifier": "text",
          "stageName": "text"
        }
      ],
      "steps": [
        {
          "stepIdentifier": "text",
          "stepName": "text"
        }
      ],
      "namespaces": [
        "text"
      ],
      "phases": [
        "text"
      ],
      "containerStates": [
        "text"
      ]
    },
    "page": 1,
    "size": 1,
    "totalItems": 1,
    "latestAttemptOnly": true
  },
  "metaData": {},
  "correlationId": "text"
}

Get the latest captured pod diagnostics summary for a single step execution

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline identifier

planExecutionIdstringRequired

Plan execution Id

nodeExecutionIdstringRequired

Node execution Id of the step

Responses
default

Returns the step pod diagnostics summary

application/json
statusstring · enumOptionalPossible values:
metaDataobjectOptional
correlationIdstringOptional
get/cd/deployment/pod-diagnostics
GET /gateway/ng/api/cd/deployment/pod-diagnostics?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&planExecutionId=text&nodeExecutionId=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
default

Returns the step pod diagnostics summary

{
  "status": "SUCCESS",
  "data": {
    "nodeExecutionId": "text",
    "planExecutionId": "text",
    "stageExecutionId": "text",
    "stepIdentifier": "text",
    "stepType": "text",
    "stepName": "text",
    "releaseName": "text",
    "namespaces": [
      "text"
    ],
    "collectionState": "DISCOVERING",
    "generation": 1,
    "capturedAt": 1,
    "truncated": {
      "pods": true,
      "events": true,
      "logs": true
    },
    "namespaceIssues": [
      {
        "namespace": "text",
        "operation": "text",
        "reason": "text",
        "message": "text"
      }
    ],
    "summary": {
      "pods": {
        "ANY_ADDITIONAL_PROPERTY": {
          "name": "text",
          "namespace": "text",
          "nodeName": "text",
          "podIP": "text",
          "workload": "text",
          "image": "text",
          "phase": "text",
          "phaseSince": 1,
          "deletionTimestamp": 1,
          "ready": true,
          "conditions": [
            {
              "type": "text",
              "status": "text",
              "reason": "text",
              "message": "text",
              "lastTransitionTime": 1
            }
          ],
          "containers": {
            "ANY_ADDITIONAL_PROPERTY": {
              "name": "text",
              "image": "text",
              "init": true,
              "state": "text",
              "reason": "text",
              "message": "text",
              "since": 1,
              "ready": true,
              "started": true,
              "restartCount": 1,
              "exitCode": 1,
              "currentInstanceId": "text",
              "previousInstanceId": "text",
              "logInstances": [
                {
                  "instanceId": "text",
                  "restartCount": 1,
                  "startedAt": 1,
                  "finishedAt": 1,
                  "logKey": "text",
                  "logState": "STREAMING"
                }
              ]
            }
          }
        }
      }
    },
    "logBaseKey": "text",
    "message": "text"
  },
  "metaData": {},
  "correlationId": "text"
}

Get a cursor-paginated page of historic container status transitions and Kubernetes events

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringRequired

Organization Identifier for the Entity.

projectIdentifierstringRequired

Project Identifier for the Entity.

pipelineIdentifierstringRequired

Pipeline identifier

planExecutionIdstringRequired

Plan execution Id

nodeExecutionIdstringRequired

Node execution Id of the step

podUidstringOptional

Optional pod uid filter

containerNamestringOptional

Optional container name filter

frominteger · int64Optional

Optional range start (epoch millis)

tointeger · int64Optional

Optional range end (epoch millis)

cursorstringOptional

Opaque pagination cursor

limitinteger · int32Optional

Max entries to return, capped server-side

Default: 100
Responses
default

Returns a page of timeline entries

application/json
statusstring · enumOptionalPossible values:
metaDataobjectOptional
correlationIdstringOptional
get/cd/deployment/pod-diagnostics/timeline
GET /gateway/ng/api/cd/deployment/pod-diagnostics/timeline?accountIdentifier=text&orgIdentifier=text&projectIdentifier=text&pipelineIdentifier=text&planExecutionId=text&nodeExecutionId=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
default

Returns a page of timeline entries

{
  "status": "SUCCESS",
  "data": {
    "items": [
      {
        "kind": "STATUS",
        "time": 1,
        "podUid": "text",
        "containerName": "text",
        "status": "text",
        "reason": "text",
        "ready": true,
        "started": true,
        "restartCount": 1,
        "exitCode": 1,
        "type": "text",
        "message": "text",
        "involvedObject": {
          "kind": "text",
          "name": "text",
          "uid": "text"
        }
      }
    ],
    "nextCursor": "text",
    "truncated": true
  },
  "metaData": {},
  "correlationId": "text"
}

Last updated

Was this helpful?